Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor.security
Class AutoLoginProcessor

    java.lang.Object
      |
      +--com.bea.portal.appflow.processor.AbstractPortalProcessor
            |
            +--com.bea.portal.appflow.processor.security.AutoLoginProcessor

public class AutoLoginProcessor
extends AbstractPortalProcessor

This processor attempts to fetch two encoded (BASE64 encoding) cookies (username,password) from the user's browser. If the cookies exist they are placed in the `PipelineSession` (request scoped) so the LoginProcessor can automatically log the user in. This processor does not perform the actual authentication it only decrypts the cookies and places them in the pipeline session.

See Also:
  `com.bea.portal.appflow.processor.security.SecurityConstants.COOKIES`, `com.bea.portal.appflow.processor.security.SecurityConstants.NO_COOKIES`, `com.bea.portal.appflow.processor.security.SecurityConstants.DEFAULT_COOKIE_TIMEOUT`, `com.bea.portal.appflow.processor.security.SecurityConstants.PORTAL_USERNAME_COOKIE_NAME`, `com.bea.portal.appflow.processor.security.SecurityConstants.PORTAL_PASSWORD_COOKIE_NAME`, `com.bea.portal.appflow.processor.security.SecurityConstants.PSK_LOGIN_URL`

Constructor Summary
`AutoLoginProcessor()`

Method Summary
`protected boolean` | `getCredentialsFromCookie(javax.servlet.http.HttpServletRequest request, java.lang.Object requestContext)`
`java.lang.Object` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PortalRequest portalRequest, java.lang.Object requestContext)` Main process method called by webflow.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoLoginProcessor

    public AutoLoginProcessor()

Method Detail

### process

    public java.lang.Object process(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    java.lang.Object requestContext)
                             throws ProcessingException

  Main process method called by webflow.

  Returns:
    "cookies" if the use had username passord cookies, otherwise it returns "no_cookies"
  Overrides:
    process in class AbstractPortalProcessor

### getCredentialsFromCookie

    protected boolean getCredentialsFromCookie(javax.servlet.http.HttpServletRequest request,
                                               java.lang.Object requestContext)
                                        throws ProcessingException

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved